Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.endeca.portal.data.functions
Enum RecordAggregator.AggregateCount

    java.lang.Object
      java.lang.Enum<RecordAggregator.AggregateCount>
          com.endeca.portal.data.functions.RecordAggregator.AggregateCount

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RecordAggregator.AggregateCount>

Enclosing class:
  RecordAggregator

    public static enum RecordAggregator.AggregateCount

extends java.lang.Enum<RecordAggregator.AggregateCount>

Enum that parallels and abstracts the same constants in ENEQuery.

Author:
  Endeca Technologies, Inc.

Enum Constant Summary
`ALL_ERECS_PER_AGGR` see ENEQuery.ALL_ERECS_PER_AGGR
`ONE_EREC_PER_AGGR` see ENEQuery.ONE_EREC_PER_AGGR
`ZERO_ERECS_PER_AGGR` see ENEQuery.ZERO_ERECS_PER_AGGR

Method Summary
`static RecordAggregator.AggregateCount` | `parseCount(java.lang.String count)` Accepts a string and tries to turn it into an AggregateCount
`static RecordAggregator.AggregateCount` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RecordAggregator.AggregateCount[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL_ERECS_PER_AGGR

    public static final RecordAggregator.AggregateCount ALL_ERECS_PER_AGGR

  see ENEQuery.ALL_ERECS_PER_AGGR

### ONE_EREC_PER_AGGR

    public static final RecordAggregator.AggregateCount ONE_EREC_PER_AGGR

  see ENEQuery.ONE_EREC_PER_AGGR

### ZERO_ERECS_PER_AGGR

    public static final RecordAggregator.AggregateCount ZERO_ERECS_PER_AGGR

  see ENEQuery.ZERO_ERECS_PER_AGGR

Method Detail

### values

    public static final RecordAggregator.AggregateCount[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RecordAggregator.AggregateCount c : RecordAggregator.AggregateCount.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RecordAggregator.AggregateCount valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### parseCount

    public static RecordAggregator.AggregateCount parseCount(java.lang.String count)
                                                      throws java.lang.IllegalArgumentException

  Accepts a string and tries to turn it into an AggregateCount

  Parameters:
    `count` - the inbound String
  Returns:
    the AggregateCount
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD